<?php
/**
 * BuddyPress - Groups Admin - Delete Group
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

?>
	<h2 class="bp-screen-reader-text"><?php _e( 'Delete Group', 'community-builder' ); ?></h2>
<?php

/**
 * Fires before the display of group delete admin.
 */
do_action( 'bp_before_group_delete_admin' );
?>

	<div class="warning">
		<p><?php _e( 'WARNING: Deleting this group will completely remove ALL content associated with it. There is no way back, please be careful with this option.', 'community-builder' ); ?></p>
	</div>

	<label for="delete-group-understand">
		<input type="checkbox" name="delete-group-understand" id="delete-group-understand" value="1" onclick="if(this.checked) { document.getElementById('delete-group-button').disabled = ''; } else { document.getElementById('delete-group-button').disabled = 'disabled'; }"/> <?php _e( 'I understand the consequences of deleting this group.', 'community-builder' ); ?>
	</label>

<?php
/**
 * Fires after the display of group delete admin.
 */
do_action( 'bp_after_group_delete_admin' );
?>

	<div class="submit">
		<input type="submit" disabled="disabled" value="<?php esc_attr_e( 'Delete Group', 'community-builder' ); ?>" id="delete-group-button" name="delete-group-button"/>
	</div>

<?php
wp_nonce_field( 'groups_delete_group' );
