<?php
/**
 * BuddyPress registration section - Completed registration
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

/**
 * Fires before the display of the registration confirmed messages.
 */
do_action( 'bp_before_registration_confirmed' );
?>

<?php if ( bp_registration_needs_activation() ) : ?>
	<p><?php _e( 'You have successfully created your account! To begin using this site you will need to activate your account via the email we have just sent to your address.', 'community-builder' ); ?></p>
<?php else : ?>
	<p><?php _e( 'You have successfully created your account! Please log in using the username and password you have just created.', 'community-builder' ); ?></p>
<?php endif; ?>

<?php

/**
 * Fires after the display of the registration confirmed messages.
 */
do_action( 'bp_after_registration_confirmed' );
