<?php
/**
 * Utility functions for customize controls.
 *
 * @package    Community_Builder
 * @subpackage Customizer\Controls
 * @copyright  Copyright (c) 2018, BuddyDev
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     BuddyDev
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

/**
 * Markup to show the responsive device.
 */
function cb_customize_control_responsive_device_markup() {
	?>
    <div class="devices-wrapper cb-control-clearfix">
        <div class="devices">
            <button type="button" class="preview-desktop" aria-pressed="false" data-device="desktop">
                <span class="screen-reader-text"><?php _ex( 'Enter desktop preview mode', 'customize control preview device screen reader text', 'community-builder' ); ?></span>
            </button>
            <button type="button" class="preview-tablet active" aria-pressed="true" data-device="tablet">
                <span class="screen-reader-text"><?php _ex( 'Enter tablet preview mode', 'customize control preview device screen reader text', 'community-builder' ); ?></span>
            </button>
            <button type="button" class="preview-mobile" aria-pressed="false" data-device="mobile">
                <span class="screen-reader-text"><?php _ex( 'Enter mobile preview mode', 'customize control preview device screen reader text', 'community-builder' ); ?></span>
            </button>
        </div>
    </div>
	<?php
}
